interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 11815 characters]
        dr+5+4GK/qDXGep2xxDi2y2G3/8H261n2bzmAAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['7952']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Tue, 09 May 2017 22:00:58 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=000000000000q8ytgj.2.1494367258728.Z0FBQUFBQlpFandhVzkyMGZRdjNZZlBrN3I0MjdJekZYckhTM3lXNElIOVFNaXdKNW5FY0g5ZlJZVGZVYzMwbkZsWTVYOHpBSkJfekdISmV0eEdObEZwNXB6NzNvLUhwRG4zT3FGQi1iZi1ZWk01dlFQOFdpbTRXbUJqb3RQVHdWM3V2bVV6TGJpdEg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Thu, 09-May-2019 22:00:58
          GMT; secure', 'session_tracker=yBtXUs42t54aZ2QFbA.0.1494367258722.Z0FBQUFBQlpFandhT2FRVDJLdm5rSjVfVFNzWEs5TGRXX1FfMkNsYWxabnV4Um9TeHBfd0NiU1dZdTBWMXpxck5jX1ppN3lpa1VPMWNva0dhV2xPb2ZmUmZZQWpOOWZtRk5JNmU2LWstNnU2NlhuTF82bHhxTXkxNEFmZURtd3lBVzRDQUhveUQ1d2U;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Wed, 10-May-2017 00:00:58
          GMT; secure', edgebucket=zn5FMmjkuvOO5cnf9e; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-atl6242-ATL]
      X-Timer: ['S1494367259.696060,VS0,VE238']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=000000000000q8ytgj.2.1494367258728.Z0FBQUFBQlpFandhVzkyMGZRdjNZZlBrN3I0MjdJekZYckhTM3lXNElIOVFNaXdKNW5FY0g5ZlJZVGZVYzMwbkZsWTVYOHpBSkJfekdISmV0eEdObEZwNXB6NzNvLUhwRG4zT3FGQi1iZi1ZWk01dlFQOFdpbTRXbUJqb3RQVHdWM3V2bVV6TGJpdEg;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Thu, 09-May-2019 22:00:58
          GMT; secure', 'session_tracker=yBtXUs42t54aZ2QFbA.0.1494367258722.Z0FBQUFBQlpFandhT2FRVDJLdm5rSjVfVFNzWEs5TGRXX1FfMkNsYWxabnV4Um9TeHBfd0NiU1dZdTBWMXpxck5jX1ppN3lpa1VPMWNva0dhV2xPb2ZmUmZZQWpOOWZtRk5JNmU2LWstNnU2NlhuTF82bHhxTXkxNEFmZURtd3lBVzRDQUhveUQ1d2U;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Wed, 10-May-2017 00:00:58
          GMT; secure', edgebucket=zn5FMmjkuvOO5cnf9e; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=YSHfVCx9q9fs%2FeX7JlLo4oAhbBoilNFYME2ft4wFesBJiQGKwCZ6ufRk3MIReVLMmFb5sCMnF0M%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [edgebucket=zn5FMmjkuvOO5cnf9e; loid=000000000000q8ytgj.2.1494367258728.Z0FBQUFBQlpFandhVzkyMGZRdjNZZlBrN3I0MjdJekZYckhTM3lXNElIOVFNaXdKNW5FY0g5ZlJZVGZVYzMwbkZsWTVYOHpBSkJfekdISmV0eEdObEZwNXB6NzNvLUhwRG4zT3FGQi1iZi1ZWk01dlFQOFdpbTRXbUJqb3RQVHdWM3V2bVV6TGJpdEg;
          session_tracker=yBtXUs42t54aZ2QFbA.0.1494367258722.Z0FBQUFBQlpFandhT2FRVDJLdm5rSjVfVFNzWEs5TGRXX1FfMkNsYWxabnV4Um9TeHBfd0NiU1dZdTBWMXpxck5jX1ppN3lpa1VPMWNva0dhV2xPb2ZmUmZZQWpOOWZtRk5JNmU2LWstNnU2NlhuTF82bHhxTXkxNEFmZURtd3lBVzRDQUhveUQ1d2U]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body: {string: '{"access_token": "F9zbMvdk6SvduZkyrcSe7Tp526s", "token_type":
        "bearer", "device_id": "None", "expires_in": 3600, "scope": "edit history
        identity mysubreddits privatemessages read report save submit subscribe vote"}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['214']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Tue, 09 May 2017 22:01:00 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-atl6239-ATL]
      X-Timer: ['S1494367260.216158,VS0,VE60']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=yBtXUs42t54aZ2QFbA.0.1494367260258.Z0FBQUFBQlpFandjRW1pOS1SLTFJU0FSLTlqUjdyQ180WGJNanBWU3lNTWhzVHk5TWZ6eDNUSWllcG14VjJTVGZaM0J6N0pvY0o3MlRtaXJ5ckpGbmFLbFc1clFXamVCTHNhZkh6TVFPa2RIeGJ2Xy1lZ3RtMlc3Rmh2T0JYMGk3UEY0OHE4UUxWMUY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Wed, 10-May-2017 00:01:00
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAB48ElkC/5VUTY/cNgz9KwufF8XOZNsscush1wLpHyBkmbYFS6IqyTM7G+S/l5TtsZwMCvRm
        80Mk33vk98YkQBcs3RCbL0+9sgmfn5oeVZ4jJjZ9bzoCTxlyVHpiQ46zhFhzQRhVCOiNHzjiuvtU
        lzBeMELEQDGzv8rDQekbJFRRjxAi9vWbSYJBso1GiMqFOex+R62xCFdsIas44PHlDns12wwpJhjJ
        djTn0j9dPUb+aiJavCivseHoi4pGeYloNPkcycJJ7PgeMBqHPoPp2Hv6fPpRRvrAOMFjLHheUHMm
        wPeMXrJWx3U0GWUq7CA4gXN18Jx6uoEmJ5UqxxyGqDpkD02mEFDVELQqU2tJTzAzWtDeVqwfNMVJ
        c90UReUHjCh+YV8ZWz3K8yvPY+Ll2BjOa08QyBp9q1rObhsErPFTldRTZBrHnENlXFn0KouEWuUX
        elZvoAkd+YFAaMHCUMWhHiWeG34+UJjmlgfqTH5E4evnhUHBQ2dDfq+2JM28AOLmPxNRVyCyhlpi
        9EDzzFOh/aA5j1ewNAyc6EErPf4Kj/EtvUOY07jbCiIPyjmR9nuI5AgMTx9ZJ9koexcKGKqQDIrJ
        B+68MkViATnH4OqjZygLm/gNDjhQm0a6cjNLjY6lKiz+n6ZYMJEK1NuLOiL6i2F0ftaRILZIFTp+
        hCowHal1tQ4Y37mFONt6JVYhJcxyCA67Upb1fn3gXPlYAReT5QItR+YaeUd/AqPsVIqsUVe5yvCY
        8qPjE4jt6Fo8okDW/oKA6pbFzfzUf/QVUW1viXz5UKc5hUJQs1/qXfhfnvxsLZsGvn18iYKJahX7
        6igMNfYfr0jWZHkucUgVDXPWewbfcNObQ0Hhz1EnV4PT+LTJZGs4yc0/vVWIsdi4myqdLZxdGUa+
        QVuZ5Rjt6eLjaFitWwrxWRtlI+8b3nw909f897e+6//s//om042Gr2jPooVILZUut3yRN0wqOsXG
        8/lN2ipLqnnVBciXZ1kk7CFTWALhjnM1bmnv2NoqmEYzl9Z8LJCGUX0gfJKueC9ULnieXs+/nz+d
        /nh9+U3KFdL0XkJsa/BKSUl4Ob+tCXxvWswywVZ7u8HbZG8SJj1y7yxFs2vzx7/41ILz+AcAAA==
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['853']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Tue, 09 May 2017 22:01:02 GMT']
      Server: [snooserv]
      Set-Cookie: ['session_tracker=0xv7VBQrkOXYPJF7lS.0.1494367262415.Z0FBQUFBQlpFandldHJFMjVRNFBwbXNoaEl0bUpBTHZhME9wNk9UN3F0OGVMc2t0Z3dFN1RDRGpDNnBPdHNydlh3Tm1GbE9HTnRwaXFzck1jRGFTRnNlOW5NNHZ6RkpDcm8yZ1NCV2JUOGowWjUxN1FwYjR6a2p6UlhJdFE3TDlFVUZIWENTMjV4SE8;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Wed, 10-May-2017 00:01:02
          GMT; secure', edgebucket=v26tNMdbfRFJY6vKZ7; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-atl6228-ATL]
      X-Timer: ['S1494367262.227236,VS0,VE234']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=0xv7VBQrkOXYPJF7lS.0.1494367262415.Z0FBQUFBQlpFandldHJFMjVRNFBwbXNoaEl0bUpBTHZhME9wNk9UN3F0OGVMc2t0Z3dFN1RDRGpDNnBPdHNydlh3Tm1GbE9HTnRwaXFzck1jRGFTRnNlOW5NNHZ6RkpDcm8yZ1NCV2JUOGowWjUxN1FwYjR6a2p6UlhJdFE3TDlFVUZIWENTMjV4SE8;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Wed, 10-May-2017 00:01:02
          GMT; secure', edgebucket=v26tNMdbfRFJY6vKZ7; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['599.0']
      x-ratelimit-reset: ['538']
      x-ratelimit-used: ['1']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
